<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFF9F9F9"
    android:paddingTop="16dp"
    tools:context=".viewui.LanguageChangeActivity">

    <ImageView
        android:id="@+id/iv_ch_back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:paddingStart="16dp"
        android:paddingTop="16dp"
        android:paddingEnd="16dp"
        android:src="@drawable/ic_back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/ch_title"
        android:textColor="@color/main_text_ff1f1724"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@id/iv_ch_back"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/iv_ch_back" />

    <LinearLayout
        android:id="@+id/change_language"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginStart="16dp"
        android:layout_marginTop="13dp"
        android:layout_marginEnd="16dp"
        android:elevation="2dp"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_ch_back">

        <TextView
            android:id="@+id/tv_change_source"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_r20_white_bg"
            android:drawablePadding="25dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="1"
            android:paddingStart="16dp"
            android:paddingEnd="12dp"
            android:textColor="@color/main_text_ff0e8ce8"
            android:textSize="16sp"
            android:textStyle="bold"
            app:drawableEndCompat="@drawable/ic_down_choose" />

        <ImageView
            android:id="@+id/tv_exchange"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="12dp"
            android:layout_marginEnd="12dp"
            android:background="@drawable/button_r20_white_bg"
            android:paddingStart="12dp"
            android:paddingTop="6dp"
            android:paddingEnd="12dp"
            android:paddingBottom="6dp"
            android:src="@drawable/ic_exchage" />

        <TextView
            android:id="@+id/tv_change_target"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_r20_white_bg"
            android:drawablePadding="25dp"
            android:ellipsize="end"
            android:gravity="center"
            android:maxLines="1"
            android:paddingStart="16dp"
            android:paddingEnd="12dp"
            android:textColor="@color/main_text_ff1f1724"
            android:textSize="16sp"
            android:textStyle="bold"
            app:drawableEndCompat="@drawable/ic_down_choose" />
    </LinearLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="16dp"
        android:background="@drawable/button_r20_white_bg"
        app:layout_constraintBottom_toBottomOf="parent"

        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/change_language">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingStart="16dp"
            android:paddingEnd="16dp">

            <androidx.appcompat.widget.SearchView
                android:id="@+id/ch_search"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:background="@drawable/button_r10_gray_bg"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/change_language"
                app:queryBackground="@drawable/button_r10_gray_bg"
                app:queryHint="Search" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="@string/tr_common"
                android:textColor="@color/bg_ff605c62"
                android:textSize="12sp"
                android:textStyle="bold" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_lan_common5"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:background="@drawable/button_r10_gray_bg" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:text="@string/tr_other"
                android:textColor="@color/bg_ff605c62"
                android:textSize="12sp"
                android:textStyle="bold" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/list_languages"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="16dp"
                android:background="@drawable/button_r10_gray_bg" />

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>